{
  "name": "testing",
  "version": "1.0.0",
  "description": "To make it easy for you to get started with GitLab, here's a list of recommended next steps.",
  "main": "index.js",
  "scripts": {
    "clean": "rimraf ./allure-report ./allure-results & rimraf ./output/junit-report*.xml",
    "junit-api-report": "node ./scripts/merge-api-reports.js & rimraf ./output/junit-report*.xml",
    "allure-report": "allure generate ./allure-results --clean -o allure-report && allure open -h localhost -p 5555 allure-report",
    "api:tests": "npm run clean && mocha 'tests/api/specs/**/*_api-test.ts' & npm run junit-api-report",
    "api:tests:dev": "npm run clean && mocha --api.configName dev 'tests/api/specs/**/*_api-test.ts' & npm run junit-api-report",
    "api:tests:ppr": "npm run clean && mocha --api.configName ppr 'tests/api/specs/**/*_api-test.ts' & npm run junit-api-report"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/sun.iriwn/testing.git"
  },
  "author": "",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/sun.iriwn/testing/issues"
  },
  "homepage": "https://gitlab.com/sun.iriwn/testing#readme",
  "dependencies": {
    "@types/got": "^9.6.12",
    "@types/mocha": "^10.0.1",
    "@types/node": "^18.13.0",
    "allure-commandline": "^2.21.0",
    "allure-mocha": "^2.0.0",
    "chai": "^4.3.7",
    "chai-json-schema": "^1.5.1",
    "commander": "^10.0.0",
    "got": "^11.8.2",
    "junit-report-merger": "^5.0.0",
    "mocha": "^10.2.0",
    "mocha-junit-reporter": "^2.2.0",
    "mocha-multi-reporters": "^1.5.1",
    "rimraf": "^3.0.2",
    "ts-node": "^10.9.1",
    "typescript": "^4.9.5"
  },
  "types": "./index.d.ts",
  "directories": {
    "test": "tests"
  }
}
